Skip to content
payrocdevelopers

Create funding recipient owner

Browse API reference

POST/funding-recipients/{recipientId}/ownerscreateFundRecipientOwner

Use this method to add an additional owner to a funding recipient.

To add an owner to a funding recipient, you need the recipientId. Our gateway returned the recipientId in the response of the Create Funding Recipient method.

Note: If you don't have the recipientId, use our List Funding Recipients method to search for the funding recipient.

In the request, include the following information about the owner:

  • Name, date of birth, and address.
  • Contact details, including their email address.
  • Relationship to the funding recipient, including whether they are a control prong.

In the response, our gateway returns the ownerId, which you can use to run follow-on actions.

Parameters

NameInTypeDescription
recipientIdRequiredpathinteger

Unique identifier that we assigned to the funding recipient.

Idempotency-KeyRequiredheaderstring

Unique identifier that you generate for each request. You must use the UUID v4 format for the identifier. For more information about the idempotency key, go to Idempotency.

Request body

application/json
  • addressobjectrequired
    Object that contains information about the address.
    • address1stringrequired
      Address line 1.≤ 150 chars
    • address2string
      Address line 2.≤ 150 chars
    • address3string
      Address line 3.≤ 150 chars
    • citystringrequired
      City.≤ 50 chars
    • countrystringrequired
      Two-digit country code for the country that the business operates in. The format follows the ISO-3166-1 standard.2–2 chars
    • postalCodestringrequired
      Zip code or postal code.≤ 10 chars
    • statestringrequired
      Name of the state or state abbreviation.≤ 50 chars
  • contactMethodsobject[]required
    Array of polymorphic objects, which contain contact information. Note: If you are adding information about an owner, you must provide at least an email address. If you are adding information about a contact, you must provide at least a contact number. The value of the type parameter determines which variant you should use: email Email address phone Phone number mobile Mobile number fax Fax number1–4 items
    • emailobject
      • typestringrequired
        Type of contact method.email
      • valuestringrequired
        Email address.≤ 50 chars
    • phoneobject
      • typestringrequired
        Type of contact method.phone
      • valuestringrequired
        Phone number.≤ 15 chars
    • mobileobject
      • typestringrequired
        Type of contact method.mobile
      • valuestringrequired
        Mobile number.≤ 15 chars
    • faxobject
      • typestringrequired
        Type of contact method.fax
      • valuestringrequired
        Fax number.≤ 15 chars
  • dateOfBirthstringdaterequired
    Owner's date of birth. The format of this value is YYYY-MM-DD.
  • firstNamestringrequired
    Owner's first name.≤ 50 chars
  • identifiersobject[]required
    Array of IDs.≥ 1 items
    • typestringrequired
      Type of ID provided to verify identity.nationalId
    • valuestringrequired
      Social Security Number (SSN) or Social Insurance Number (SIN).
  • lastNamestringrequired
    Owner's last name.≤ 50 chars
  • middleNamestring
    Owner's middle name.≤ 50 chars
  • relationshipobjectrequired
    Object that contains information about the owner's relationship to the business.
    • equityPercentagenumberpercentage
      Percentage equity stake that the owner holds in the business.
    • isAuthorizedSignatoryboolean
      Indicates if the owner is an authorized signatory.
    • isControlProngbooleanrequired
      Indicates if the owner is a control prong. You can identify only one control prong for a business.
    • titlestring
      Owner's job title.

Responses

Successful request. We created the owner and added it to the funding recipient.

201 Created · application/json
{
  "address": {
    "address1": "2 Example Ave.",
    "city": "Chicago",
    "country": "US",
    "postalCode": "60056",
    "state": "Illinois"
  },
  "contactMethods": [
    {
      "type": "email",
      "value": "fred.nerk@example.com"
    },
    {
      "type": "phone",
      "value": "2025550110"
    }
  ],
  "dateOfBirth": "1980-01-19",
  "firstName": "Fred",
  "identifiers": [
    {
      "type": "nationalId",
      "value": "xxxxx9876"
    }
  ],
  "lastName": "Nerk",
  "middleName": "Jim",
  "ownerId": 12346,
  "relationship": {
    "equityPercentage": 51.5,
    "isAuthorizedSignatory": true,
    "isControlProng": false,
    "title": "CEO"
  }
}
Response schema · 34 fields
  • addressobjectrequired
    Object that contains information about the address.
    • address1stringrequired
      Address line 1.≤ 150 chars
    • address2string
      Address line 2.≤ 150 chars
    • address3string
      Address line 3.≤ 150 chars
    • citystringrequired
      City.≤ 50 chars
    • countrystringrequired
      Two-digit country code for the country that the business operates in. The format follows the ISO-3166-1 standard.2–2 chars
    • postalCodestringrequired
      Zip code or postal code.≤ 10 chars
    • statestringrequired
      Name of the state or state abbreviation.≤ 50 chars
  • contactMethodsobject[]required
    Array of polymorphic objects, which contain contact information. Note: If you are adding information about an owner, you must provide at least an email address. If you are adding information about a contact, you must provide at least a contact number. The value of the type parameter determines which variant you should use: email Email address phone Phone number mobile Mobile number fax Fax number1–4 items
    • emailobject
      • typestringrequired
        Type of contact method.email
      • valuestringrequired
        Email address.≤ 50 chars
    • phoneobject
      • typestringrequired
        Type of contact method.phone
      • valuestringrequired
        Phone number.≤ 15 chars
    • mobileobject
      • typestringrequired
        Type of contact method.mobile
      • valuestringrequired
        Mobile number.≤ 15 chars
    • faxobject
      • typestringrequired
        Type of contact method.fax
      • valuestringrequired
        Fax number.≤ 15 chars
  • dateOfBirthstringdaterequired
    Owner's date of birth. The format of this value is YYYY-MM-DD.
  • firstNamestringrequired
    Owner's first name.≤ 50 chars
  • identifiersobject[]required
    Array of IDs.≥ 1 items
    • typestringrequired
      Type of ID provided to verify identity.nationalId
    • valuestringrequired
      Social Security Number (SSN) or Social Insurance Number (SIN).
  • lastNamestringrequired
    Owner's last name.≤ 50 chars
  • middleNamestring
    Owner's middle name.≤ 50 chars
  • ownerIdinteger
    Unique identifier that we assigned to the owner.
  • relationshipobjectrequired
    Object that contains information about the owner's relationship to the business.
    • equityPercentagenumberpercentage
      Percentage equity stake that the owner holds in the business.
    • isAuthorizedSignatoryboolean
      Indicates if the owner is an authorized signatory.
    • isControlProngbooleanrequired
      Indicates if the owner is a control prong. You can identify only one control prong for a business.
    • titlestring
      Owner's job title.

Used in workflows

Search documentation

API reference169
Guides118
Knowledge38
legal1
Solutions32
Workflows74
↑↓highlight↵openView all search results

Menu

Theme

Sign out

Your saved plans remain in your organization. This browser’s private draft and account view will be cleared.

Talk to an engineer